Bug 1567275 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:73603268179fe782114b2389ad0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 17:40 UTC by Ivan Savelyev
Modified: 2019-05-28 19:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:53:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.82 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: core_backtrace (24.70 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: cpuinfo (1.49 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: dso_list (19.48 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: environ (1.74 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: maps (90.34 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: open_fds (4.10 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: var_log_messages (5.34 KB, text/plain)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-04-13 17:40 UTC, Ivan Savelyev
no flags Details

Description Ivan Savelyev 2018-04-13 17:40:15 UTC
Version-Release number of selected component:
gnome-software-3.28.0-5.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=c88d1ddc9fd44b6fb5b82008bbaaf987;i=5e541;b=3a0174b2f6764c6498181153b4d2eb6d;m=7d279c9b;t=569be4554c42c;x=60b730d5df250f0b
kernel:         4.16.1-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 6 (6 frames)
 #0 ??
 #1 g_cond_wait_until at gthread-posix.c:1449
 #2 g_async_queue_pop_intern_unlocked at gasyncqueue.c:422
 #3 g_async_queue_timeout_pop_unlocked at gasyncqueue.c:570
 #4 g_thread_pool_wait_for_new_task at gthreadpool.c:262
 #6 g_thread_proxy at gthread.c:784

Comment 1 Ivan Savelyev 2018-04-13 17:40:21 UTC
Created attachment 1421470 [details]
File: backtrace

Comment 2 Ivan Savelyev 2018-04-13 17:40:22 UTC
Created attachment 1421471 [details]
File: cgroup

Comment 3 Ivan Savelyev 2018-04-13 17:40:24 UTC
Created attachment 1421472 [details]
File: core_backtrace

Comment 4 Ivan Savelyev 2018-04-13 17:40:26 UTC
Created attachment 1421473 [details]
File: cpuinfo

Comment 5 Ivan Savelyev 2018-04-13 17:40:28 UTC
Created attachment 1421474 [details]
File: dso_list

Comment 6 Ivan Savelyev 2018-04-13 17:40:29 UTC
Created attachment 1421475 [details]
File: environ

Comment 7 Ivan Savelyev 2018-04-13 17:40:31 UTC
Created attachment 1421476 [details]
File: limits

Comment 8 Ivan Savelyev 2018-04-13 17:40:33 UTC
Created attachment 1421477 [details]
File: maps

Comment 9 Ivan Savelyev 2018-04-13 17:40:35 UTC
Created attachment 1421478 [details]
File: mountinfo

Comment 10 Ivan Savelyev 2018-04-13 17:40:36 UTC
Created attachment 1421479 [details]
File: open_fds

Comment 11 Ivan Savelyev 2018-04-13 17:40:38 UTC
Created attachment 1421480 [details]
File: proc_pid_status

Comment 12 Ivan Savelyev 2018-04-13 17:40:40 UTC
Created attachment 1421481 [details]
File: var_log_messages

Comment 13 Ivan Savelyev 2018-04-13 17:40:41 UTC
Created attachment 1421482 [details]
File: exploitable

Comment 14 Ben Cotton 2019-05-02 21:55:36 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 19:53:54 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.